#!/bin/bash

tag=v1.0.3

set -e

tmp=$(mktemp -d)

trap cleanup EXIT
cleanup() {
    set +e
    [ -z "$tmp" -o ! -d "$tmp" ] || rm -rf "$tmp"
}

unset CDPATH
pwd=$(pwd)

pushd "$tmp"
git clone https://github.com/smikes/json-parse-helpfulerror.git
cd json-parse-helpfulerror
ls test
git archive --prefix="test" --format=tar tags/${tag}:test/ \
    | bzip2 > "$pwd"/tests-${tag}.tar.bz2
popd
